
Redmine - Defect #8309

ช่วยด้วย install ไม่ได้ขึ้น

2011-05-06 10:12 - pairoad thongdee

Status: Closed Start date: 2011-05-06

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.0

Description

ActiveRecord::StatementInvalid in WelcomeController#index

Mysql::Error: Table 'redmine.settings' doesn't exist: SHOW FIELDS FROM `settings`

RAILS_ROOT: /var/www/redmine-1.1.0

Application Trace | Framework Trace | Full Trace

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:219:in `log'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:323:in `execute'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:469:in `columns'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/base.rb:1271:in `columns'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/calculations.rb:293:in `column_for'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/calculations.rb:129:in `calculate'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/calculations.rb:75:in `maximum'

/var/www/redmine-1.1.0/app/models/setting.rb:151:in `check_cache'

/var/www/redmine-1.1.0/app/controllers/application_controller.rb:55:in `user_setup'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:219:in `log'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:323:in `execute'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:469:in `columns'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/base.rb:1271:in `columns'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/calculations.rb:293:in `column_for'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/calculations.rb:129:in `calculate'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/calculations.rb:75:in `maximum'

/var/www/redmine-1.1.0/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `send'

/var/www/redmine-1.1.0/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `evaluate_method'

/var/www/redmine-1.1.0/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/filters.rb:225:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/filters.rb:629:in `run_before_filters'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/filters.rb:615:in `call_filters'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in `perform_action_without_benchmark'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/var/www/redmine-1.1.0/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/usr/local/lib/ruby/1.8/benchmark.rb:308:in `realtime'

/var/www/redmine-1.1.0/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in `perform_action_without_flash'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in `perform_action'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `send'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `process_without_filters'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/base.rb:391:in `process'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/base.rb:386:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in `dispatch'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130:in `build_middleware_stack'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'
/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_request_handler.rb:513:in

`accept_and_process_next_request'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:321:in

`start_request_handler'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:275:in

`handle_spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/utils.rb:479:in `safe_fork'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:270:in

`handle_spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `__send__'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:180:in `start'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `__send__'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/helper-scripts/passenger-spawn-server:99

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:219:in `log'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:323:in `execute'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:469:in `columns'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/base.rb:1271:in `columns'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/calculations.rb:293:in `column_for'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/calculations.rb:129:in `calculate'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/calculations.rb:75:in `maximum'

/var/www/redmine-1.1.0/app/models/setting.rb:151:in `check_cache'

/var/www/redmine-1.1.0/app/controllers/application_controller.rb:55:in `user_setup'

/var/www/redmine-1.1.0/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `send'

/var/www/redmine-1.1.0/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `evaluate_method'

/var/www/redmine-1.1.0/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/filters.rb:225:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/filters.rb:629:in `run_before_filters'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/filters.rb:615:in `call_filters'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in `perform_action_without_benchmark'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/var/www/redmine-1.1.0/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/usr/local/lib/ruby/1.8/benchmark.rb:308:in `realtime'

/var/www/redmine-1.1.0/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in `perform_action_without_flash'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in `perform_action'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `send'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `process_without_filters'
/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/base.rb:391:in `process'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/base.rb:386:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in `dispatch'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130:in `build_middleware_stack'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

/var/www/redmine-1.1.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/var/www/redmine-1.1.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_request_handler.rb:513:in

`accept_and_process_next_request'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:321:in

`start_request_handler'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:275:in

`handle_spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/utils.rb:479:in `safe_fork'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:270:in

`handle_spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `__send__'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:180:in `start'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `__send__'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.7/helper-scripts/passenger-spawn-server:99

Request

Parameters:

None

Show session dump

Response

Headers:

{"Content-Type"=>"",

2025-05-07 3/4



"Cache-Control"=>"no-cache"}

History

#1 - 2011-05-06 23:20 - Gabriel Mazetto

You need to follow all installation steps:

http://www.redmine.org/projects/redmine/wiki/RedmineInstall

You probably didn't run the migrations (step 5)

#2 - 2011-05-11 14:17 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Not a support tracker, please post in forum.

Files

log 16.3 KB 2011-05-06 pairoad thongdee
